#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		locver	4.0
#-----------------------------------------------------------------------------
Name		:	twinkle
Version		:	1.10.3
Release		:	14.4.0.0%{?dist}
Summary		:	SIP-based VoIP client
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/LubosD/twinkle

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
#BuildRequires	:	bcg729 <= 1.0.1
BuildRequires	:	ccrtp
BuildRequires	:	libilbc
BuildRequires	:	libsndfile
BuildRequires	:	libxml2
BuildRequires	:	libzrtpcpp
BuildRequires	:	readline
BuildRequires	:	speexdsp
BuildRequires	:	mesa-devel
BuildRequires	:	qt
BuildRequires	:	speex
BuildRequires	:	ucommon

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
'%{name}' is a SIP-based VoIP client.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build
CFLAGS="-Wno-expansion-to-defined"			\
cmake							\
	-DCMAKE_CXX_FLAGS="${CMAKE_CXX_FLAGS} -fpermissive" \
	-DCMAKE_BUILD_TYPE=Release			\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}		\
	-DLIB_INSTALL_DIR=%{_libdir}			\
	-DWITH_QT5=ON					\
	-DWITH_ALSA=ON					\
	-DWITH_ZRTP=ON					\
	-DWITH_G729=OFF					\
	-DWITH_SPEEX=ON					\
	-DWITH_ILBC=OFF					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	-C build					\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-console
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/lang/%{name}_*.qm
%{_datadir}/%{name}/providers.csv
%{_datadir}/%{name}/ringback.wav
%{_datadir}/%{name}/ringtone.wav
%{_datadir}/%{name}/%{name}*.png
%{_mandir}/man1/%{name}.1.gz
#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  %{_bindir}/update-desktop-database 2> /dev/null
  fi
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

#-----------------------------------------------------------------------------
%changelog
